import { Alert, AlertDescription, AlertTitle } from '@/components/ui/alert';
import { Accordion, AccordionContent, AccordionItem, AccordionTrigger } from "@/components/ui/accordion";
import { AlertDialog, AlertDialogAction, AlertDialogCancel, AlertDialogContent, AlertDialogDescription, AlertDialogFooter, AlertDialogHeader, AlertDialogTitle, AlertDialogTrigger } from "@/components/ui/alert-dialog";
import { AspectRatio } from "@/components/ui/aspect-ratio";
import { Avatar, AvatarFallback, AvatarImage } from '@/components/ui/avatar';
import { Badge } from "@/components/ui/badge";
import { Button } from '@/components/ui/button';
import { Breadcrumb, BreadcrumbItem, BreadcrumbLink, BreadcrumbList, BreadcrumbPage, BreadcrumbSeparator } from "@/components/ui/breadcrumb";
import { Calendar } from '@/components/ui/calendar';
import { Card, CardContent, CardDescription, CardFooter, CardHeader, CardTitle } from '@/components/ui/card';
import { Carousel, CarouselContent, CarouselItem, CarouselNext, CarouselPrevious } from "@/components/ui/carousel";
import { Checkbox } from '@/components/ui/checkbox';
import { Collapsible, CollapsibleContent, CollapsibleTrigger } from "@/components/ui/collapsible";
import { ContextMenu, ContextMenuContent, ContextMenuItem, ContextMenuTrigger } from "@/components/ui/context-menu";
import { Dialog, DialogContent, DialogDescription, DialogFooter, DialogHeader, DialogTitle, DialogTrigger } from '@/components/ui/dialog';
import { Drawer, DrawerClose, DrawerContent, DrawerDescription, DrawerFooter, DrawerHeader, DrawerTitle, DrawerTrigger } from "@/components/ui/drawer";
import { DropdownMenu, DropdownMenuContent, DropdownMenuGroup, DropdownMenuItem, DropdownMenuLabel, DropdownMenuPortal, DropdownMenuSeparator, DropdownMenuShortcut, DropdownMenuSub, DropdownMenuSubContent, DropdownMenuSubTrigger, DropdownMenuTrigger } from "@/components/ui/dropdown-menu";
import { HoverCard, HoverCardContent, HoverCardTrigger } from "@/components/ui/hover-card";
import { Popover, PopoverContent, PopoverTrigger } from "@/components/ui/popover";
import { Input } from '@/components/ui/input';
import { Label } from '@/components/ui/label';
import { ScrollArea } from "@/components/ui/scroll-area";
import { Select, SelectContent, SelectItem, SelectTrigger, SelectValue } from '@/components/ui/select';
import { Separator } from '@/components/ui/separator';
import { Slider } from '@/components/ui/slider';
import { Switch } from '@/components/ui/switch';
import { Table, TableBody, TableCaption, TableCell, TableHead, TableHeader, TableRow } from '@/components/ui/table';
import { Tabs, TabsContent, TabsList, TabsTrigger } from '@/components/ui/tabs';
import { Textarea } from '@/components/ui/textarea';
import { Tooltip, TooltipContent, TooltipProvider, TooltipTrigger } from '@/components/ui/tooltip';
export declare const shadcnScope: {
    Alert: typeof Alert;
    AlertDescription: typeof AlertDescription;
    AlertTitle: typeof AlertTitle;
    Accordion: typeof Accordion;
    AccordionContent: typeof AccordionContent;
    AccordionItem: typeof AccordionItem;
    AccordionTrigger: typeof AccordionTrigger;
    AlertDialog: typeof AlertDialog;
    AlertDialogAction: typeof AlertDialogAction;
    AlertDialogCancel: typeof AlertDialogCancel;
    AlertDialogContent: typeof AlertDialogContent;
    AlertDialogDescription: typeof AlertDialogDescription;
    AlertDialogFooter: typeof AlertDialogFooter;
    AlertDialogHeader: typeof AlertDialogHeader;
    AlertDialogTitle: typeof AlertDialogTitle;
    AlertDialogTrigger: typeof AlertDialogTrigger;
    AspectRatio: typeof AspectRatio;
    Avatar: typeof Avatar;
    AvatarFallback: typeof AvatarFallback;
    AvatarImage: typeof AvatarImage;
    Badge: typeof Badge;
    Button: typeof Button;
    Breadcrumb: typeof Breadcrumb;
    BreadcrumbItem: typeof BreadcrumbItem;
    BreadcrumbLink: typeof BreadcrumbLink;
    BreadcrumbList: typeof BreadcrumbList;
    BreadcrumbPage: typeof BreadcrumbPage;
    BreadcrumbSeparator: typeof BreadcrumbSeparator;
    Calendar: typeof Calendar;
    Card: typeof Card;
    CardContent: typeof CardContent;
    CardDescription: typeof CardDescription;
    CardFooter: typeof CardFooter;
    CardHeader: typeof CardHeader;
    CardTitle: typeof CardTitle;
    Carousel: typeof Carousel;
    CarouselContent: typeof CarouselContent;
    CarouselItem: typeof CarouselItem;
    CarouselNext: typeof CarouselNext;
    CarouselPrevious: typeof CarouselPrevious;
    Checkbox: typeof Checkbox;
    Collapsible: typeof Collapsible;
    CollapsibleContent: typeof CollapsibleContent;
    CollapsibleTrigger: typeof CollapsibleTrigger;
    ContextMenu: typeof ContextMenu;
    ContextMenuContent: typeof ContextMenuContent;
    ContextMenuItem: typeof ContextMenuItem;
    ContextMenuTrigger: typeof ContextMenuTrigger;
    Dialog: typeof Dialog;
    DialogContent: typeof DialogContent;
    DialogDescription: typeof DialogDescription;
    DialogFooter: typeof DialogFooter;
    DialogHeader: typeof DialogHeader;
    DialogTitle: typeof DialogTitle;
    DialogTrigger: typeof DialogTrigger;
    Drawer: typeof Drawer;
    DrawerClose: typeof DrawerClose;
    DrawerContent: typeof DrawerContent;
    DrawerDescription: typeof DrawerDescription;
    DrawerFooter: typeof DrawerFooter;
    DrawerHeader: typeof DrawerHeader;
    DrawerTitle: typeof DrawerTitle;
    DrawerTrigger: typeof DrawerTrigger;
    DropdownMenu: typeof DropdownMenu;
    DropdownMenuContent: typeof DropdownMenuContent;
    DropdownMenuGroup: typeof DropdownMenuGroup;
    DropdownMenuItem: typeof DropdownMenuItem;
    DropdownMenuLabel: typeof DropdownMenuLabel;
    DropdownMenuPortal: typeof DropdownMenuPortal;
    DropdownMenuSeparator: typeof DropdownMenuSeparator;
    DropdownMenuShortcut: typeof DropdownMenuShortcut;
    DropdownMenuSub: typeof DropdownMenuSub;
    DropdownMenuSubContent: typeof DropdownMenuSubContent;
    DropdownMenuSubTrigger: typeof DropdownMenuSubTrigger;
    DropdownMenuTrigger: typeof DropdownMenuTrigger;
    HoverCard: typeof HoverCard;
    HoverCardContent: typeof HoverCardContent;
    HoverCardTrigger: typeof HoverCardTrigger;
    Popover: typeof Popover;
    PopoverContent: typeof PopoverContent;
    PopoverTrigger: typeof PopoverTrigger;
    Input: typeof Input;
    Label: typeof Label;
    ScrollArea: typeof ScrollArea;
    Table: typeof Table;
    TableBody: typeof TableBody;
    TableCaption: typeof TableCaption;
    TableCell: typeof TableCell;
    TableHead: typeof TableHead;
    TableHeader: typeof TableHeader;
    TableRow: typeof TableRow;
    Select: typeof Select;
    SelectContent: typeof SelectContent;
    SelectItem: typeof SelectItem;
    SelectTrigger: typeof SelectTrigger;
    SelectValue: typeof SelectValue;
    Separator: typeof Separator;
    Slider: typeof Slider;
    Switch: typeof Switch;
    Tabs: typeof Tabs;
    TabsContent: typeof TabsContent;
    TabsList: typeof TabsList;
    TabsTrigger: typeof TabsTrigger;
    Textarea: typeof Textarea;
    Toaster: ({ ...props }: import("sonner").ToasterProps) => import("react").JSX.Element;
    Tooltip: typeof Tooltip;
    TooltipContent: typeof TooltipContent;
    TooltipProvider: typeof TooltipProvider;
    TooltipTrigger: typeof TooltipTrigger;
};
